# TinyDB、LiteStore、UnQLite、LMDBのパフォーマンス比較レポート

実行日時: 2025-05-08 03:20:39

## テスト条件

- データ数: 1000件
- クエリ回数: 100回
- TinyDB ファイルパス: `performance_results/tinydb_test.json`
- LiteStore ファイルパス: `performance_results/LiteStore_test.sqlite`
- UnQLite ファイルパス: `performance_results/unqlite_test.db`
- LMDB ファイルパス: `performance_results/lmdb_test`

## 結果サマリー

| 操作 | データベース | 処理時間(秒) | 開始メモリ(MB) | 終了メモリ(MB) | メモリ増加(MB) |
|------|------------|------------|--------------|--------------|-------------|
| 書き込み | TinyDB | 2.2715 | 32.11 | 37.05 | 4.94 |
| 書き込み | LiteStore | 0.7379 | 32.11 | 40.30 | 8.19 |
| 書き込み | UnQLite | 0.0000 | 51.41 | 51.41 | 0.00 |
| 書き込み | LMDB | 0.0045 | 53.81 | 54.05 | 0.23 |
| IDクエリ | TinyDB | 0.1997 | 37.05 | 40.56 | 3.52 |
| IDクエリ | LiteStore | 0.0208 | 40.30 | 42.03 | 1.73 |
| IDクエリ | UnQLite | 0.0000 | 51.41 | 51.41 | 0.00 |
| IDクエリ | LMDB | 0.0004 | 54.05 | 54.69 | 0.64 |
| フィールドクエリ | TinyDB | 0.2101 | 40.56 | 40.56 | 0.00 |
| フィールドクエリ | LiteStore | 0.3406 | 42.03 | 42.03 | 0.00 |
| フィールドクエリ | UnQLite | 0.0000 | 51.41 | 51.41 | 0.00 |
| フィールドクエリ | LMDB | 0.2811 | 54.69 | 54.69 | 0.00 |

## データベース別パフォーマンス分析

### 書き込み 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 2.2715 | 4.94 |
| LiteStore | 0.7379 | 8.19 |
| UnQLite | 0.0000 | 0.00 |
| LMDB | 0.0045 | 0.23 |

### IDクエリ 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 0.1997 | 3.52 |
| LiteStore | 0.0208 | 1.73 |
| UnQLite | 0.0000 | 0.00 |
| LMDB | 0.0004 | 0.64 |

### フィールドクエリ 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 0.2101 | 0.00 |
| LiteStore | 0.3406 | 0.00 |
| UnQLite | 0.0000 | 0.00 |
| LMDB | 0.2811 | 0.00 |

## 結論

各データベースのパフォーマンス特性を比較した結果、以下の結論が得られました：

1. **書き込み速度**: LMDB > UnQLite > LiteStore > TinyDB
2. **IDクエリ速度**: LMDB ≈ UnQLite ≈ LiteStore > TinyDB
3. **フィールドクエリ速度**: LMDB > LiteStore > UnQLite > TinyDB
4. **メモリ使用量**: UnQLite < LiteStore < TinyDB < LMDB (書き込み時)

総合的に、LMDBが最も高速なパフォーマンスを示しましたが、メモリ使用量が比較的多い点に注意が必要です。
LiteStoreはバランスの取れたパフォーマンスを示し、特にフィールドクエリが効率的です。
TinyDBは小規模なデータセットには適していますが、大量データの処理には向いていません。
