# TinyDB、LiteStore、UnQLite、LMDBのパフォーマンス比較レポート

実行日時: 2025-05-07 22:42:07

## テスト条件

- データ数: 1000件
- クエリ回数: 100回
- TinyDB ファイルパス: `performance_results/tinydb_test.json`
- LiteStore ファイルパス: `performance_results/LiteStore_test.sqlite`
- UnQLite ファイルパス: `performance_results/unqlite_test.db`
- LMDB ファイルパス: `performance_results/lmdb_test`

## 結果サマリー

| 操作 | データベース | 処理時間(秒) | 開始メモリ(MB) | 終了メモリ(MB) | メモリ増加(MB) |
|------|------------|------------|--------------|--------------|-------------|
| 書き込み | TinyDB | 2.39 | 59.59 | 68.84 | 9.25 |
| 書き込み | LiteStore | 0.74 | 68.84 | 79.54 | 10.70 |
| 書き込み | UnQLite | 0.2725 | 68.84 | 74.39 | 5.55 |
| 書き込み | LMDB | 0.0045 | 98.00 | 98.25 | 0.25 |
| IDクエリ | TinyDB | 0.29 | 68.84 | 68.84 | 0.00 |
| IDクエリ | LiteStore | 0.02 | 79.54 | 79.54 | 0.00 |
| IDクエリ | UnQLite | 0.0199 | 74.39 | 98.36 | 23.97 |
| IDクエリ | LMDB | 0.0004 | 98.25 | 98.89 | 0.64 |
| フィールドクエリ | TinyDB | 0.28 | 68.84 | 70.53 | 1.69 |
| フィールドクエリ | LiteStore | 0.32 | 79.54 | 75.99 | -3.55 |
| フィールドクエリ | UnQLite | 0.8659 | 98.36 | 98.36 | 0.00 |
| フィールドクエリ | LMDB | 0.2799 | 98.89 | 98.89 | 0.00 |

## データベース別パフォーマンス分析

### 書き込み 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 2.39 | 9.25 |
| LiteStore | 0.74 | 10.70 |
| UnQLite | 0.1784 | 20.73 |
| LMDB | 0.0042 | 0.25 |

### IDクエリ 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 0.29 | 0.00 |
| LiteStore | 0.02 | 0.00 |
| UnQLite | 0.0203 | 24.59 |
| LMDB | 0.0005 | 0.66 |

### フィールドクエリ 操作の比較

| データベース | 処理時間(秒) | メモリ増加(MB) |
|------------|------------|-------------|
| TinyDB | 0.28 | 1.69 |
| LiteStore | 0.32 | -3.55 |
| UnQLite | 0.8595 | 0.00 |
| LMDB | 0.2821 | 0.00 |

## 結論

各データベースのパフォーマンス特性を比較した結果、以下の結論が得られました：

1. **書き込み速度**: LMDB > UnQLite > LiteStore > TinyDB
2. **IDクエリ速度**: LMDB ≈ UnQLite ≈ LiteStore > TinyDB
3. **フィールドクエリ速度**: LMDB > LiteStore > UnQLite > TinyDB
4. **メモリ使用量**: UnQLite < LiteStore < TinyDB < LMDB (書き込み時)

総合的に、LMDBが最も高速なパフォーマンスを示しましたが、メモリ使用量が比較的多い点に注意が必要です。
LiteStoreはバランスの取れたパフォーマンスを示し、特にフィールドクエリが効率的です。
TinyDBは小規模なデータセットには適していますが、大量データの処理には向いていません。
